Skip to main content
GET
/
v1
/
agents
/
{agent_id}
/
runs
/
{run_id}
JavaScript
import Profound from '@profoundai/client';

const client = new Profound({
  apiKey: process.env['PROFOUND_API_KEY'], // This is the default and can be omitted
});

const run = await client.agents.runs.retrieve('182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e', {
  agent_id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e',
});

console.log(run.id);
{
  "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "agent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "status": "queued",
  "started_at": "2023-11-07T05:31:56Z",
  "finished_at": "2023-11-07T05:31:56Z",
  "error": {},
  "outputs": {}
}

Documentation Index

Fetch the complete documentation index at: https://docs.tryprofound.com/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

X-API-Key
string
header
required

Path Parameters

agent_id
string<uuid>
required

The ID of the agent that owns the run.

run_id
string<uuid>
required

The ID of the run to retrieve.

Response

Successful Response

Status and result details for an agent run.

id
string<uuid>
required

Unique ID for the run.

agent_id
string<uuid>
required

Unique ID of the agent for this run.

status
enum<string>
required

Current status of the run.

Available options:
queued,
running,
succeeded,
failed,
cancelled,
skipped,
unknown
started_at
string<date-time> | null

When the run started, if it has started.

finished_at
string<date-time> | null

When the run finished, if it has completed.

error
Error · object

Error details, when the run fails and error information is available.

outputs
Outputs · object

Output values returned by the run, keyed by variable ID. This object conforms to schema.output from the agent detail response and is empty when no outputs are available.